### Hierarchy

- DeepCopy<SimpleAccount>
  - SimpleAccount
    - Account

## Index

### Constructors

- constructor

### Properties

- createdAt
- nonce
- publicKey
- updatedAt

### Methods

- copy
- deepCopyFromJson
- getClass
- toJson
- fromJson

## Constructors

### constructor

- new SimpleAccount(publicKey?: string, nonce?: number): SimpleAccount

- - Defined in repository/models/SimpleAccount.ts:16

  #### Parameters

  - ##### Default value publicKey: string = ""

  - ##### Default value nonce: number = 0

  #### Returns SimpleAccount

## Properties

### createdAt

createdAt: Date = new Date()

- Defined in repository/models/SimpleAccount.ts:8

### nonce

nonce: number = 0

- Defined in repository/models/SimpleAccount.ts:7

### publicKey

publicKey: string = ""

- Defined in repository/models/SimpleAccount.ts:6

### updatedAt

updatedAt: Date = new Date()

- Defined in repository/models/SimpleAccount.ts:9

## Methods

### copy

- copy(changeArgs?: JsonObject<SimpleAccount>): SimpleAccount

- Inherited from DeepCopy.copy

  - Defined in repository/models/DeepCopy.ts:11

  #### Parameters

  - ##### Optional changeArgs: JsonObject<SimpleAccount>

  #### Returns SimpleAccount

### Protected deepCopyFromJson

- deepCopyFromJson(): SimpleAccount

- Overrides DeepCopy.deepCopyFromJson

  - Defined in repository/models/SimpleAccount.ts:32

  #### Returns SimpleAccount

### Protected getClass

- getClass(): ClassCreator<SimpleAccount>

- Overrides DeepCopy.getClass

  - Defined in repository/models/SimpleAccount.ts:36

  #### Returns ClassCreator<SimpleAccount>

### toJson

- toJson(): object

- Overrides JsonTransform.toJson

  - Defined in repository/models/SimpleAccount.ts:24

  #### Returns object

### Static fromJson

- fromJson(json: JsonObject<SimpleAccount>): SimpleAccount

- - Defined in repository/models/SimpleAccount.ts:11

  #### Parameters

  - ##### json: JsonObject<SimpleAccount>

  #### Returns SimpleAccount

Generated using TypeDoc